<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    android:orientation="vertical">

    <include
        layout="@layout/layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginEnd="@dimen/common_padding">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/during_time"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/filter_switch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="end"
                android:text="@string/hide"
                android:textColor="@color/title_background_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginEnd="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:id="@+id/date_filter"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/start_date"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/start_date"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:gravity="end"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/end_date"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/end_date"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:gravity="end"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/group_name"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/group_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="text"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <com.pan_american.android.util.CommitButton
                android:id="@+id/commit"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_margin="@dimen/common_padding" />

        </LinearLayout>

    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/group_receivable_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/common_padding"
        android:layout_weight="1"
        android:overScrollMode="never" />

    <TextView
        android:id="@+id/receivables_report_total"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/common_padding"
        android:textColor="@color/text_color"
        android:textSize="@dimen/text_size_small" />

</LinearLayout>